Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Lolu chungechunge lwabekwa kunqolobane. Uyacelwa ubuze umbuzo omusha uma udinga usizo.

why is my windows 10 incompatible with fire fox

  • 5 uphendule
  • 2 zinale nkinga
  • 134 views
  • Igcine ukuphendulwa ngu James

more options

ran trouble shooting on fire fox and it says it's not compatible because i use windows 10, when it only uses windows 8 and windows vista!

ran trouble shooting on fire fox and it says it's not compatible because i use windows 10, when it only uses windows 8 and windows vista!

Isisombululo esikhethiwe

shezeus1 said

ran trouble shooting on fire fox and it says it's not compatible because i use windows 10, when it only uses windows 8 and windows vista!

The desktop Firefox web browser has not supported the old EOL Windows Vista since 52.9.0 as Windows 7 or later has been the requirement since.

from https://www.mozilla.org/firefox/99.0/system-requirements/ Windows Operating Systems (32-bit and 64-bit) Windows 7 Windows 8 Windows 10 Windows 11


Windows 8 mention includes 8.1.

Funda le mpendulo ngokuhambisana nalesi sihloko 👍 0

All Replies (5)

more options

Where are you downloading Firefox from?

more options

On my desk top

more options

You just can't trust that Windows compatibility reporter.

Is there a particular problem you were trying solve with your Firefox?

more options

Shut down Firefox. Using your file browser, open the Programs Folder on your computer.

Windows: C:\Program Files C:\Program Files (x86) Note: Check Both Folders

Right click on Firefox.exe and select Properties. Now select Compatibility. Turn Off Run This Program In Compatibility Mode, and Run This Program As An Administrator.

Do the same for any Firefox shortcuts you have. Now restart Firefox.

more options

Isisombululo Esikhethiwe

shezeus1 said

ran trouble shooting on fire fox and it says it's not compatible because i use windows 10, when it only uses windows 8 and windows vista!

The desktop Firefox web browser has not supported the old EOL Windows Vista since 52.9.0 as Windows 7 or later has been the requirement since.

from https://www.mozilla.org/firefox/99.0/system-requirements/ Windows Operating Systems (32-bit and 64-bit) Windows 7 Windows 8 Windows 10 Windows 11


Windows 8 mention includes 8.1.